Skip to main content
GET
/
code-refs
cURL
curl https://api.growthbook.io/api/v1/code-refs/ \
  -u secret_abc123DEF456:
{
  "codeRefs": [
    {
      "organization": "<string>",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "feature": "<string>",
      "repo": "<string>",
      "branch": "<string>",
      "refs": [
        {
          "filePath": "<string>",
          "startingLineNumber": 123,
          "lines": "<string>",
          "flagKey": "<string>"
        }
      ],
      "platform": "github"
    }
  ],
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

Response

200 - application/json

Success

codeRefs
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required